## org.apache.lucene.search.highlight
Class SimpleHTMLEncoder

    java.lang.Object
      org.apache.lucene.search.highlight.SimpleHTMLEncoder

All Implemented Interfaces:
  Encoder

    public class SimpleHTMLEncoder

extends java.lang.Object
implements Encoder

Simple `Encoder` implementation to escape text for HTML output

Constructor Summary
`SimpleHTMLEncoder()`

Method Summary
`java.lang.String` `encodeText(java.lang.String originalText)`
`static java.lang.String` `htmlEncode(java.lang.String plainText)` Encode string into HTML

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleHTMLEncoder

    public SimpleHTMLEncoder()

Method Detail

### encodeText

    public java.lang.String encodeText(java.lang.String originalText)

  Specified by:
    `encodeText` in interface `Encoder`
  Parameters:
    `originalText` - The section of text being output

### htmlEncode

    public static final java.lang.String htmlEncode(java.lang.String plainText)

  Encode string into HTML

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.